gtk.TearoffMenuItem
Prev | The gtk Class Reference | Next

## gtk.TearoffMenuItem

gtk.TearoffMenuItem — a menu item used to tear off and reattach its menu.

## Synopsis

    class gtk.TearoffMenuItem(gtk.MenuItem):
        gtk.TearoffMenuItem()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Bin
              +-- gtk.Item
                +-- gtk.MenuItem
                  +-- gtk.TearoffMenuItem

## Implemented Interfaces

`gtk.TearoffMenuItem` implements `gtk.Buildable`

## gtk.TearoffMenuItem Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

## gtk.TearoffMenuItem Style Properties

gtk.Widget Style Properties

gtk.MenuItem Style Properties

## gtk.TearoffMenuItem Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

gtk.Item Signal Prototypes

gtk.MenuItem Signal Prototypes

## Description

A `gtk.TearoffMenuItem` is a special `gtk.MenuItem` which is used to tear off and reattach its menu. When its menu is shown normally, the `gtk.TearoffMenuItem` is drawn as a dotted line indicating that the menu can be torn off. Activating it causes its menu to be torn off and displayed in its own window as a tearoff menu. When its menu is shown as a tearoff menu, the `gtk.TearoffMenuItem` is drawn as a dotted line which has a left pointing arrow graphic indicating that the tearoff menu can be reattached. Activating it will remove the tearoff menu window.

## Constructor

        gtk.TearoffMenuItem()

Returns : | a new `gtk.TearoffMenuItem` widget

Creates a new `gtk.TearoffMenuItem` widget.

Prev | Up | Next
gtk.Table | Home | gtk.TextAttributes